Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #566

Queue manager is not updating its list view reliably (Qt)
August 09, 2015 01:34 - Thomas Lange

Status: Closed Start date: August 08, 2015
Priority: Minor Due date:

Assignee: % Done: 100%
Category: libaudqt Estimated time: 0.00 hour
Target version: 3.7.1

Affects version: 3.7

Description

The Qt queue manager view is often not synchronized with the actually queued tracks.
This includes adding and removing entries.

Examples:

1. Queue some tracks

2. Play next song

-> Queued track is played but still visible in the list,

it seems like the dialog needs to be focussed for a refresh.

1. Start Audacious

2. Queue some tracks

3. Open the queue manager

-> Tracks are shown correctly

4. Queue more tracks

-> Newly queued tracks are not shown, even when reopening the window

1. Start Audacious

2. Open the queue manager

3. Close it

4. Queue some tracks

5. Open the queue manager again
-> Queued tracks are never shown

Another unrelated issue is that the hooks are not disconnected on shutdown, causing warnings like this:
"WARNING hook.cc:132 [leak_cb]: Hook not disconnected: playlist activate (1)"

History

#1 - November 21, 2015 18:42 - John Lindgren

- Subject changed from Queue manager is not updating its list view reliably to Queue manager is not updating its list view reliably (Qt)

#2 - November 25, 2015 16:21 - John Lindgren
- Status changed from New to Closed
- Target version changed from 3.7 to 3.7.1

- % Done changed from 0 to 100

#3 - November 25, 2015 18:49 - Thomas Lange

Thanks, it is much better now. However queued tracks are still not shown after these steps:
1. Start Audacious

2. Queue some tracks

3. Open the queue manager

When the playlist is focused, the tracks get displayed. But after step 3 the focus is on the queue manager. Can you reproduce this?

May 17, 2025 1/2




#4 - November 26, 2015 05:21 - John Lindgren

Should be fixed now.
